> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/tonic-api-get-token.md).

# Getting an API token

Before you can use the API, you must have an API token.

The API token grants you the same permissions that you have in the Tonic Structural application. You can only use the API to perform tasks for which you are granted permission.

You create API tokens from the **User Settings** view in Structural.

To display the **User Settings** view:

1. Click your user image at the bottom of the Structural navigation menu.
2. In the user menu, select **User Settings**.

On the **User Settings** view, to create a token, click **Create Token**.

![User API Tokens list on the User Settings view](https://3378426797-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LSQCLFQ4bslJ-HYc8c3%2Fuploads%2FRXGfd8h9PeUIxSs1XKUb%2FAPITokensList.png?alt=media\&token=9a548e21-3157-471e-afcb-515613b33214)

After you create the token, set your authorization header to `Authorization: Apikey <token>`.

This type of token does not expire. The user who creates the token can revoke it.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/api/tonic-api-get-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
